Subject: Re: used equipment dealers

From: [email-masked] (Geoffrey Brown)
Date: Thu, 12 May 1994 12:35:11 GMT

>By the way, where, what, etc. is Plaza? I know about Sobel, although
>I have never been up to visit him.

>Frank Kerfoot

Plaza is in Vermont (802) 234-9673.  I've only bought small bits (e.g. 
tool holders) from them.  I get the impression they are fairly optimistic 
in how they grade their machines, although I have never visited them to verify
this.

Geoffrey Brown